<?php
/* --------------------------------------------------------------
   ShopOfflineController.inc.php 2018-03-21
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Class ShopOfflineController
 */
class ShopOfflineController extends HttpViewController
{
	/**
	 * Displays the shop offline page.
	 *
	 * @return \HttpControllerResponse
	 */
	public function actionDefault()
	{
		$headerControl = MainFactory::create(HeaderContentControl::class);
		$headerControl->set_data('GET', $_GET);
		$headerControl->set_('c_path', $GLOBALS['cPath']);
		$headerControl->set_('coo_product', $GLOBALS['product']);
		$headerControl->proceed();
		
		$bottomControl = MainFactory::create(BottomContentControl::class);
		$bottomControl->set_('c_path', $GLOBALS['cPath']);
		$bottomControl->proceed();
		
		$responseBody = $this->_render('standalone/shop_offline.html', [
			'offlineMessage' => gm_get_conf('GM_SHOP_OFFLINE_MSG'),
			'headData'       => $headerControl->get_response(),
			'bottomData'     => $bottomControl->get_response()
		]);
		
		return MainFactory::create(HttpControllerResponse::class, $responseBody);
	}
}